### Method

# AppStreamCompose Unit set_user_data

#### Declaration [src]

    void
    asc_unit_set_user_data (
      AscUnit* unit,
      gpointer user_data
    )

#### Description [src]

Assign user-defined data to this object. This is a helper function for bindings.

#### Parameters

`user_data`

  Type: `gpointer`

  The user data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.